Table of Contents

Class: OptionMenu | ../bkchem/Pmw.py
--- | ---
Base Classes |
--- | ---
MegaWidget MegaArchetype
Methods |
--- | ---
__init__ getcurselection getvalue index invoke setitems setvalue
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
| getcurselection
    getcurselection ( self )
| getvalue
    getvalue ( self )
| index
    index ( self,  index )
Exceptions |
--- | ---
ValueError, 'OptionMenu has no items' ValueError, 'bad index "%s": must be a ' 'name, a number, END or SELECT' %( index, ) ValueError, 'index "%s" is out of range' % index
| invoke
    invoke ( self,  index=SELECT )
| setitems
    setitems (
            self,
            items,
            index=None,
            )
| setvalue
    setvalue ( self,  text )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1